Schema iv-2.1.xsd

schema location: | C:\Documents and Settings\voeckler\Desktop\schema\iv-2.1\iv-2.1.xsd
targetNamespace: | http://pegasus.isi.edu/schema/invocation

Elements | Complex types | Simple types
invocation | JobType | DottedQuad
| MachineBasic | PositiveDecimal
| MachineDarwin | ResourceValue
| MachineLinux |
| MachineSunos |
| RUsageType |
| StatCallType |

element invocation

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | setup prejob mainjob postjob cleanup cwd usage machine statcall environment resource

attributes

Name | Type | Use | Default | Fixed
version | xs:NMTOKEN | required |  |
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
transformation | xs:string | optional | null |
derivation | xs:string | optional | null |
resource | xs:string | optional |  |
interface | xs:NMTOKEN | optional |  |
hostaddr | DottedQuad | optional | 0.0.0.0 |
hostname | xs:string | optional |  |
ram | xs:nonNegativeInteger | optional |  |
pid | xs:decimal | optional |  |
uid | xs:integer | optional |  |
user | xs:string | optional |  |
gid | xs:integer | optional |  |
group | xs:string | optional |  |
wf-label | xs:string | optional |  |
wf-stamp | xs:dateTime | optional |  |
umask | xs:token | optional |  |

element invocation/setup

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
pid | xs:decimal | optional |  |

element invocation/prejob

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
pid | xs:decimal | optional |  |

element invocation/mainjob

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
pid | xs:decimal | optional |  |

element invocation/postjob

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
pid | xs:decimal | optional |  |

element invocation/cleanup

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
pid | xs:decimal | optional |  |

element invocation/cwd

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:string

facets

maxLength | 4096
whiteSpace | preserve

element invocation/usage

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | RUsageType

attributes

Name | Type | Use | Default | Fixed
utime | xs:decimal | required |  |
stime | xs:decimal | required |  |
minflt | xs:unsignedLong | required |  |
majflt | xs:unsignedLong | required |  |
nswap | xs:unsignedLong | required |  |
nsignals | xs:unsignedLong | required |  |
nvcsw | xs:unsignedLong | optional |  |
nivcsw | xs:unsignedLong | optional |  |
maxrss | xs:unsignedLong | optional |  |
ixrss | xs:unsignedLong | optional |  |
idrss | xs:unsignedLong | optional |  |
isrss | xs:unsignedLong | optional |  |
inblock | xs:unsignedLong | optional |  |
outblock | xs:unsignedLong | optional |  |
msgsnd | xs:unsignedLong | optional |  |
msgrcv | xs:unsignedLong | optional |  |

element invocation/machine

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | stamp uname darwin linux sunos basic

attributes

Name | Type | Use | Default | Fixed
page-size | xs:nonNegativeInteger | required |  |

element invocation/machine/stamp

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | xs:dateTime

element invocation/machine/uname

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:token

attributes

Name | Type | Use | Default | Fixed
archmode | xs:NMTOKEN | optional |  |
system | xs:NMTOKEN | required |  |
nodename | xs:NMTOKEN | required |  |
release | xs:NMTOKEN | required |  |
machine | xs:NMTOKEN | required |  |
domainname | xs:NMTOKEN | optional |  |

element invocation/machine/darwin

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | MachineDarwin
children | ram swap boot cpu load proc

element invocation/machine/linux

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | MachineLinux
children | ram swap boot cpu load proc task

element invocation/machine/sunos

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | MachineSunos
children | ram swap boot cpu load proc lwp

element invocation/machine/basic

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | MachineBasic
children | ram cpu

element invocation/statcall

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of StatCallType
children | file descriptor temporary fifo statinfo data

attributes

Name | Type | Use | Default | Fixed
error | xs:int | required |  |
id | xs:NMTOKEN | required |  |
lfn | xs:NMTOKEN | optional |  |

element invocation/environment

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | env

element invocation/environment/env

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
key | xs:string | required |  |

element invocation/resource

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | soft hard

element invocation/resource/soft

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of ResourceValue

facets

pattern | (unlimited|\d+)

attributes

Name | Type | Use | Default | Fixed
id | xs:NMTOKEN | required |  |

element invocation/resource/hard

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of ResourceValue

facets

pattern | (unlimited|\d+)

attributes

Name | Type | Use | Default | Fixed
id | xs:NMTOKEN | required |  |

complexType JobType

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | usage status statcall arguments argument-vector

used by

elements | invocation/cleanup invocation/mainjob invocation/postjob invocation/prejob invocation/setup

attributes

Name | Type | Use | Default | Fixed
start | xs:dateTime | required |  |
duration | PositiveDecimal | required |  |
pid | xs:decimal | optional |  |

element JobType/usage

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | RUsageType

attributes

Name | Type | Use | Default | Fixed
utime | xs:decimal | required |  |
stime | xs:decimal | required |  |
minflt | xs:unsignedLong | required |  |
majflt | xs:unsignedLong | required |  |
nswap | xs:unsignedLong | required |  |
nsignals | xs:unsignedLong | required |  |
nvcsw | xs:unsignedLong | optional |  |
nivcsw | xs:unsignedLong | optional |  |
maxrss | xs:unsignedLong | optional |  |
ixrss | xs:unsignedLong | optional |  |
idrss | xs:unsignedLong | optional |  |
isrss | xs:unsignedLong | optional |  |
inblock | xs:unsignedLong | optional |  |
outblock | xs:unsignedLong | optional |  |
msgsnd | xs:unsignedLong | optional |  |
msgrcv | xs:unsignedLong | optional |  |

element JobType/status

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | failure regular signalled suspended

attributes

Name | Type | Use | Default | Fixed
raw | xs:int | required |  |

element JobType/status/failure

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
error | xs:short | required |  |

element JobType/status/regular

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
exitcode | xs:unsignedByte | required |  |

element JobType/status/signalled

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
signal | xs:byte | required |  |
corefile | xs:boolean | optional |  |

element JobType/status/suspended

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
signal | xs:byte | required |  |

element JobType/statcall

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | StatCallType
children | file descriptor temporary fifo statinfo data

attributes

Name | Type | Use | Default | Fixed
error | xs:int | required |  |

element JobType/arguments

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
executable | xs:string | optional |  |

element JobType/argument-vector

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | arg

attributes

Name | Type | Use | Default | Fixed
executable | xs:string | optional |  |

element JobType/argument-vector/arg

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
nr | xs:nonNegativeInteger | required |  |

complexType MachineBasic

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | ram cpu

used by

element | invocation/machine/basic

element MachineBasic/ram

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger | optional |  |
avail | xs:nonNegativeInteger | optional |  |

element MachineBasic/cpu

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger | optional |  |
online | xs:nonNegativeInteger | optional |  |

complexType MachineDarwin

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | ram swap boot cpu load proc

used by

element | invocation/machine/darwin

element MachineDarwin/ram

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
avail | xs:nonNegativeInteger |  |  |
active | xs:nonNegativeInteger |  |  |
inactive | xs:nonNegativeInteger |  |  |
wired | xs:nonNegativeInteger |  |  |

element MachineDarwin/swap

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
avail | xs:nonNegativeInteger | optional |  |
used | xs:nonNegativeInteger | optional |  |

element MachineDarwin/boot

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:dateTime

element MachineDarwin/cpu

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
count | xs:nonNegativeInteger |  |  |
speed | xs:nonNegativeInteger |  |  |
vendor | xs:string |  |  |

element MachineDarwin/load

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
min1 | PositiveDecimal | required |  |
min5 | PositiveDecimal | required |  |
min15 | PositiveDecimal | required |  |

element MachineDarwin/proc

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
idle | xs:nonNegativeInteger |  |  |
running | xs:nonNegativeInteger |  |  |
sleeping | xs:nonNegativeInteger |  |  |
waiting | xs:nonNegativeInteger |  |  |
stopped | xs:nonNegativeInteger |  |  |
zombie | xs:nonNegativeInteger |  |  |
other | xs:nonNegativeInteger |  |  |

complexType MachineLinux

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | ram swap boot cpu load proc task

used by

element | invocation/machine/linux

element MachineLinux/ram

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
free | xs:nonNegativeInteger |  |  |
shared | xs:nonNegativeInteger |  |  |
buffer | xs:nonNegativeInteger |  |  |

element MachineLinux/swap

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
free | xs:nonNegativeInteger |  |  |

element MachineLinux/boot

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:dateTime

attributes

Name | Type | Use | Default | Fixed
idle | PositiveDecimal | optional |  |

element MachineLinux/cpu

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
count | xs:nonNegativeInteger |  |  |
speed | xs:nonNegativeInteger |  |  |
vendor | xs:string |  |  |

element MachineLinux/load

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
min1 | PositiveDecimal | required |  |
min5 | PositiveDecimal | required |  |
min15 | PositiveDecimal | required |  |

element MachineLinux/proc

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger | required |  |
running | xs:nonNegativeInteger | optional |  |
sleeping | xs:nonNegativeInteger |  |  |
waiting | xs:nonNegativeInteger |  |  |
stopped | xs:nonNegativeInteger |  |  |
zombie | xs:nonNegativeInteger |  |  |
other | xs:nonNegativeInteger |  |  |
vmsize | xs:nonNegativeInteger |  |  |
rss | xs:nonNegativeInteger |  |  |

element MachineLinux/task

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger | required |  |
running | xs:nonNegativeInteger | optional |  |
sleeping | xs:nonNegativeInteger |  |  |
waiting | xs:nonNegativeInteger |  |  |
stopped | xs:nonNegativeInteger |  |  |
zombie | xs:nonNegativeInteger |  |  |
other | xs:nonNegativeInteger |  |  |
vmsize | xs:nonNegativeInteger | optional |  |
rss | xs:nonNegativeInteger | optional |  |

complexType MachineSunos

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | ram swap boot cpu load proc lwp

used by

element | invocation/machine/sunos

element MachineSunos/ram

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger | optional |  |
avail | xs:nonNegativeInteger |  |  |
free | xs:nonNegativeInteger |  |  |

element MachineSunos/swap

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
free | xs:nonNegativeInteger |  |  |

element MachineSunos/boot

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:dateTime

element MachineSunos/cpu

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
count | xs:nonNegativeInteger |  |  |
speed | xs:nonNegativeInteger |  |  |
online | xs:nonNegativeInteger |  |  |
type | xs:string |  |  |
brand | xs:string |  |  |

element MachineSunos/load

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
min1 | PositiveDecimal | required |  |
min5 | PositiveDecimal | required |  |
min15 | PositiveDecimal | required |  |

element MachineSunos/proc

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
total | xs:nonNegativeInteger |  |  |
found | xs:nonNegativeInteger |  |  |
size | xs:nonNegativeInteger |  |  |
rss | xs:nonNegativeInteger |  |  |

element MachineSunos/lwp

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
active | xs:nonNegativeInteger |  |  |
zombie | xs:nonNegativeInteger |  |  |

complexType RUsageType

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

used by

elements | invocation/usage JobType/usage

attributes

Name | Type | Use | Default | Fixed
utime | xs:decimal | required |  |
stime | xs:decimal | required |  |
minflt | xs:unsignedLong | required |  |
majflt | xs:unsignedLong | required |  |
nswap | xs:unsignedLong | required |  |
nsignals | xs:unsignedLong | required |  |
nvcsw | xs:unsignedLong | optional |  |
nivcsw | xs:unsignedLong | optional |  |
maxrss | xs:unsignedLong | optional |  |
ixrss | xs:unsignedLong | optional |  |
idrss | xs:unsignedLong | optional |  |
isrss | xs:unsignedLong | optional |  |
inblock | xs:unsignedLong | optional |  |
outblock | xs:unsignedLong | optional |  |
msgsnd | xs:unsignedLong | optional |  |
msgrcv | xs:unsignedLong | optional |  |

complexType StatCallType

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | file descriptor temporary fifo statinfo data

used by

elements | invocation/statcall JobType/statcall

attributes

Name | Type | Use | Default | Fixed
error | xs:int | required |  |

element StatCallType/file

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:hexBinary

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |

element StatCallType/descriptor

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
number | xs:nonNegativeInteger | required |  |

element StatCallType/temporary

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
descriptor | xs:integer | required |  |

element StatCallType/fifo

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
descriptor | xs:integer | required |  |
count | xs:nonNegativeInteger | optional | 0 |
rsize | xs:nonNegativeInteger | optional | 0 |
wsize | xs:nonNegativeInteger | optional | 0 |

element StatCallType/statinfo

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed
size | xs:integer | required |  |
mode | xs:token | optional |  |
inode | xs:integer | optional |  |
nlink | xs:nonNegativeInteger | optional |  |
blocks | xs:nonNegativeInteger | optional |  |
blksize | xs:nonNegativeInteger | optional |  |
atime | xs:dateTime | optional |  |
mtime | xs:dateTime | optional |  |
ctime | xs:dateTime | optional |  |
uid | xs:integer | optional |  |
user | xs:string | optional |  |
gid | xs:integer | optional |  |
group | xs:string | optional |  |

element StatCallType/data

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
truncated | xs:boolean | optional |  |

simpleType DottedQuad

namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:string

used by

attribute | invocation/@hostaddr

facets

minLength | 7
maxLength | 15
whiteSpace | collapse
pattern | (\d{1,3}\.){3}\d{1,3}

simpleType PositiveDecimal

namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:decimal

used by

attributes | invocation/@duration JobType/@duration MachineLinux/boot/@idle MachineDarwin/load/@min1 MachineLinux/load/@min1 MachineSunos/load/@min1 MachineDarwin/load/@min15 MachineLinux/load/@min15 MachineSunos/load/@min15 MachineDarwin/load/@min5 MachineLinux/load/@min5 MachineSunos/load/@min5

facets

minInclusive | 0

simpleType ResourceValue

namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:string

used by

elements | invocation/resource/hard invocation/resource/soft

facets

pattern | (unlimited|\d+)

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy